Bug 845489 - win2008 guest hangs during booting with huge page mem on rhel5.9
win2008 guest hangs during booting with huge page mem on rhel5.9
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: kvm (Show other bugs)
Unspecified Unspecified
medium Severity medium
: rc
: ---
Assigned To: Andrea Arcangeli
Virtualization Bugs
Depends On:
  Show dependency treegraph
Reported: 2012-08-03 04:38 EDT by Shaolong Hu
Modified: 2013-06-10 11:15 EDT (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Known Issue
Doc Text:
A Microsoft Windows 2008 guest can become unresponsive during boot if huge page memory is enabled on the Red Hat Enterprise Linux 5.9 host. To work around this problem, disable huge page memory on the Red Hat Enterprise Linux 5.9 host.
Story Points: ---
Clone Of:
Last Closed: 2013-03-28 14:24:08 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Shaolong Hu 2012-08-03 04:38:07 EDT
Description of problem:
boot win2008 guest with huge page mem, guest hangs during booting.

Version-Release number of selected component (if applicable):

win2008-64 sp2

How reproducible:

Steps to Reproduce:
1.on host:
mount -t hugetlbfs none /mnt/
echo 1500 > /proc/sys/vm/nr_hugepages

2./usr/libexec/qemu-kvm -no-hpet -rtc-td-hack -smp 4 -m 2G -name win2008 -uuid 31e71eea-d178-4988-89da-25b2e4484001 -drive file=win2008-64-virtio.qcow2,format=qcow2,cache=off,index=0,boot=on,media=disk,if=virtio -monitor stdio -usbdevice tablet -net nic,vlan=0,model=virtio -net tap,vlan=0,ifname=net1,script=/etc/qemu-ifup -M rhel5.6.0 -no-kvm-pit-reinjection -spice port=5930,disable-ticketing -qxl 1 -mem-path /mnt

Actual results:
guest hangs during booting.

Additional info:
Change guest image to RHEL6.3-64, win2003-64, win7-64, all boot correctly.
Comment 1 Shaolong Hu 2012-08-03 04:39:36 EDT
win2008 guest boot correctly without "-mem-path /mnt".
Comment 2 Ronen Hod 2012-08-08 11:26:59 EDT
I wouldn't fix this bug, and we can probably close this bug using a tech-note that describes the limitations.
Comment 3 Ronen Hod 2013-03-28 14:23:30 EDT
Please take a look at Comment 1 and write a short tech-note.
I will close this bug.
Comment 5 Andrea Arcangeli 2013-04-05 08:36:03 EDT
tech note from comment #1: win2008-64 guest boot correctly without -mem-path/hugetlbfs on RHEL5.9 host.

Note You need to log in before you can comment on or make changes to this bug.